Upgrading from Redmine stable version to development

Added by Neil K over 12 years ago

I have Redmine 0.8.4.stable.2796 (MySQL) working on an RHEL 5.3 box with ruby 1.8.7, rails (2.3.2, 2.2.2, 2.1.2), MySQL 5.0. How can I change the Redmine installation from Stable to Development? Is there any way of doing this without performing a full re-installation?

Any help will in this regard will be great.

Regards,
Neil

Replies (7)

RE: Upgrading from Redmine stable version to development - Added by Ammler _ over 12 years ago

I would make a copy of the web, a copy of the db, use the new db on the new copy. then update that source with the update guide (migration). Then you see, how it works, I guess, I might lose a plugin...

RE: Upgrading from Redmine stable version to development - Added by Marius Garbea over 12 years ago

How about using SVN? I mean you could create a SVN repository, with the existing installation, then do the upgrade, and see what happens. If anything wrong, you can revert via SVN.

RE: Upgrading from Redmine stable version to development - Added by Neil K over 12 years ago

Thanks for your directions. As I mentioned, I have a stable version installed and I want to change it to a development version. If I do a "svn update" from the redmine root directory, I will get updated to the latest stable build, not development build, right?

Regards,
Neil

RE: Upgrading from Redmine stable version to development - Added by Neil K over 12 years ago

Thanks for your information. That worked!

Here is what I did if this helps any others.

1. Logged in as the redmine user and went to the the redmine root directory
2. changed the svn url using : svn switch http://redmine.rubyforge.org/svn/trunk

After that, I have followed the Upgrade Guide i.e.

  1. rake config/initializers/session_store.rb
  2. rake db:migrate RAILS_ENV="production"
  3. rake db:migrate:upgrade_plugin_migrations RAILS_ENV="production"
  4. rake db:migrate_plugins RAILS_ENV="production"
  1. rake tmp:cache:clear
  2. rake tmp:sessions:clear

Then I restarted the application and could see that the stable version was upgraded to development.

Thanks again for your helpful directions.

Regards,
Neil

RE: Upgrading from Redmine stable version to development - Added by Neil K over 12 years ago

Hi all,

After upgrading to the development version (Redmine 0.8.4.devel.2815), I am getting an "Internal error" when accessing "My Page". Here is the log :

ActionView::TemplateError (undefined method `-' for {:length=>60}:Hash) on line #20 of app/views/issues/_list_simple.rhtml:
17: <td class="project"><%= link_to(h(issue.project), :controller => 'projects', :action => 'show', :id => issue.project) ></td>
18: <td class="tracker"><
=h issue.tracker ></td>
19: <td class="subject">
20: <
= link_to h(truncate(issue.subject, :length => 60)), :controller => 'issues', :action => 'show', :id => issue > (<=h issue.status >)
21: </td>
22: </tr>
23: <
end %>

Any idea?

Regards,
Neil

Internal Error after upgrading to latest development version. - Added by Neil K over 12 years ago

I am getting the same internal error when I perform a search also.

error log:

ActionView::TemplateError (undefined method `-' for {:length=>255}:Hash) on line #29 of app/views/search/index.rhtml:
26: <h3><%= l(:label_result_plural) > (<= @results_by_type.values.sum >)</h3>
27: <dl id="search-results">
28: <
@results.each do |e| >
29: <dt class="<
= e.event_type >"><= content_tag('span', h(e.project), :class => 'project') unless @project == e.project > <= link_to highlight_tokens(truncate(e.event_title, :length => 255), @tokens), e.event_url ></dt>
30: <dd><span class="description"><
= highlight_tokens(e.event_description, @tokens) ></span>
31: <span class="author"><
= format_time(e.event_datetime) ></span></dd>
32: <
end %>

(Redmine 0.8.4.devel.2815, RHEL 5.3 box with ruby 1.8.7, rails (2.3.2, 2.2.2, 2.1.2), MySQL 5.0)

Regards,
Neil

(1-7/7)